
#container-footer{
    display: flex;
    justify-content: space-between;
   
    background-color: var(--cor-fundo);
    padding: 30px 3%;
    border-radius: 50px 50px 0px 0px;

}
#footer-logo{
    display: flex;
    flex-direction: column;
    gap: 10px;
}
#footer-logo img{
    width: 150px;
    transition: transform 0.2s ease;
}
#footer-logo img:hover{
    transform: scale(1.08); 
}
#footer-info p{
    color: #444;
    font-size: 16px;
}
#menu{
    display: flex;
    flex-direction: column;
    gap: 10px;
}
#menu ul{
    list-style: none;
}
#menu ul li a{
    color: #444;
}
#menu ul li a:hover{
    background: linear-gradient(270deg, #2a82ae,var(--cor-primaria));
    background-size: 200% auto;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;

    animation: gradientMove 3s linear infinite;
}
#servicos{
    display: flex;
    flex-direction: column;
    gap: 10px;
    
}
#servicos ul{
    list-style: none;
}
#servicos ul li a{
    color: #444;
}
.icon-footer{
    width: 28px;
    height: 25px;
    color: #575757;
    
}
.icon-footer:hover{
    color: var(--cor-primaria);
}
#servicos ul li a:hover{
    background: linear-gradient(270deg, #2a82ae,var(--cor-primaria));
    background-size: 200% auto;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;

    animation: gradientMove 3s linear infinite;
}
#contatos{
    display: flex;
    flex-direction: column;
    gap: 10px;
}
#contatos ul{
    display: flex;
    gap: 15px;
    list-style: none;
    font-size: 25px;
    
}
#contatos ul li a{
    color: #444;
}
#contatos ul li a:hover{
    background: linear-gradient(270deg, #2a82ae,var(--cor-primaria));
    background-size: 200% auto;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;

    animation: gradientMove 3s linear infinite;;   
}
#criador{
    display: flex;
    justify-content: center;
    padding: 7px 0px;
    background-image: linear-gradient(-20deg, #2a47ae  0%,var(--cor-primaria)100%);
    transition: 0.5s ease;
}
#criador:hover{
    background-image: linear-gradient(-15deg,var(--cor-primaria)  0%,#2a47ae 100%);
}
#criador p{
    color: aliceblue;
}
#criador p a{
    color: aliceblue;
    font-weight: 500;
}
.container-menus{
    width: 65%;
    display: flex;
    justify-content: space-between;
}
#linha{
    display: none;
}
@media screen and (max-width: 839px){
    #container-footer{
        flex-direction: column;
        align-items: center;
        text-align: center;
        gap: 20px;
    }
    .container-menus{
        justify-content: space-between;
        
    }
    #linha{
        display: block;
        width: 90%;
        
    }
    #linha hr{
        border: none;
        height: 1px;
        background: linear-gradient(270deg, var(--cor-primaria), #0072ff, #00c6ff);
        background-size: 200%;
        animation: move 3s linear infinite;
    }
    
}
@media screen and (max-width: 620px){
    .p-footer{
        font-size: 14px;
    }
    .titulo-footer{
        font-size: 16px;
    }
    #contatos ul{
        font-size: 18px;
    }
    #footer-info p{
        font-size: 14px;
    }
    .icon-footer{
        width: 25px;
        height: 25px;
    }
}
@media screen and (max-width: 519px){
    .p-footer{
        font-size: 14px;
    }
    .titulo-footer{
        font-size: 16px;
    }
    #contatos ul{
        font-size: 18px;
     
    }
    .container-menus{
        width: 90%;
        gap: 50px;
    }
    .icon-footer{
        width: 20px;
        height: 20px;
    }
    
}
@media screen and (max-width: 457px){
    .p-footer{
        font-size: 13px;
    }
    .titulo-footer{
        font-size: 15px;
    }
    #contatos ul{
        font-size: 17px;
    }
    .container-menus{
        width: 90%;
        gap: 50px;
    }
    #footer-info p{
        font-size: 13px;
    }
}
@media screen and (max-width: 397px){
    .p-footer{
        font-size: 12px;
    }
    .titulo-footer{
        font-size: 14px;
    }
    #contatos ul{
        font-size: 16px;
    }
    .container-menus{
        width: 90%;

    }
    #footer-info p{
        font-size: 12px;
    }
    #contatos ul{
    gap: 5px;
    }
}
@media screen and (max-width: 345px){
    .p-footer{
        font-size: 12px;
    }
    .titulo-footer{
        font-size: 14px;
    }
    #contatos ul{
        font-size: 18px;
    }
    .container-menus{
        width: 90%;
        justify-content: center;
        flex-wrap: wrap;
    }
    #footer-info p{
        font-size: 12px;
    }
    #contatos ul{
    flex-direction: column;

    }
}